%define pkgrel 5
%define vers FNAL
%define __check_files  %{nil}

Summary: OpenAFS ThisCell file
Name: openafs-thiscell
Version: %{vers}
Release: %{pkgrel}
License: IPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Troy Dawson <dawson@fnal.gov>
Group: Networking/Filesystems
Epoch: 1
Source1: openafs-ThisCell.FNAL
Source2: CellAlias.FNAL
BuildArchitectures: noarch

%description
The AFS distributed filesystem.  AFS is a distributed filesystem
allowing cross-platform sharing of files among multiple computers.
Facilities are provided for access control, authentication, backup and
administrative management.

This package provides the critical file ThisCell

%install
mkdir -p $RPM_BUILD_ROOT/usr/vice/etc
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/vice/etc/ThisCell.FNAL
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/vice/etc/CellAlias.FNAL

%post
cp -f /usr/vice/etc/ThisCell.FNAL /usr/vice/etc/ThisCell
cp -f /usr/vice/etc/CellAlias.FNAL /usr/vice/etc/CellAlias.FNAL
/sbin/chkconfig afs on
/sbin/chkconfig --level 345 afs on

%triggerin -- openafs-client
cp -f /usr/vice/etc/ThisCell.FNAL /usr/vice/etc/ThisCell
cp -f /usr/vice/etc/CellAlias.FNAL /usr/vice/etc/CellAlias.FNAL
/sbin/chkconfig afs on
/sbin/chkconfig --level 345 afs on

%triggerpostun -- openafs-client
cp -f /usr/vice/etc/ThisCell.FNAL /usr/vice/etc/ThisCell
cp -f /usr/vice/etc/CellAlias.FNAL /usr/vice/etc/CellAlias.FNAL

%files
/usr/vice/etc/ThisCell.FNAL
/usr/vice/etc/CellAlias.FNAL
